Update User Consent

Update the consent status for one or more users (with Driver role) for a specific product. Up to 2000 users can be updated in a single call.

IMPORTANT: This API is only available if your company and Lytx, Inc. has executed an Addendum to Master Purchase Agreement (Facial ID and Consent Management). Your company is solely responsible for providing any necessary notices and/or obtaining all necessary consents for the collection and processing of video, biometric and/or other data processed by Lytx to perform the Facial ID Service which may be required under applicable law.

SecuritybearerAuth
Request
Request Body schema: application/json
required
Array (<= 2000 items)
userId
string or null <uuid>

Unique identifier of the user. Required if employeeId is not provided.

employeeId
string or null

Employee identifier associated with the user. Required if userId is not provided. The system resolves the corresponding userId internally before processing.

productName
required
string

Product name to update consent status for. Only Facial ID product is supported as of today. Enter product name as:

  • facialID
consentStatus
required
string

New consent status to apply for the specified product.

  • Obtained: Valid Consent Obtained Via Alternative Method. Applicable when you have obtained necessary consent through an alternative method and valid consents are still in effect.

  • NotRequired: Consent Not Required. Valid when your organization has determined, and bears sole responsibility for such determination, that consent is not required by law or your organization's policies.

Enum: "Obtained" "NotRequired"
source
string or null

Source of the consent update. Defaults to "Manual" if not provided.

Responses
200

Ok

400

Bad Request — request body is null, empty, or exceeds the maximum allowed items

401

Unauthorized

403

Forbidden

404

Not Found

500

Internal Server Error

post/userconsent/update
Request samples
application/json
[
  • {
    }
]
Response samples
application/json
[
  • {
    }
]